View Issue Details

IDProjectCategoryLast Update
0019235Starward Rogue[All Projects] Crash/ExceptionFeb 7, 2018 4:24 pm
ReporterStx11Assigned Tox4000Bughunter 
Severitycrash 
Status resolvedResolutionfixed 
Product Version1.507 (Difficulty Smoothing) 
Fixed in Version2.001 (Die A Fiery Death, Audio Crash) 
Summary0019235: Random crash during tutorial on second save slot
DescriptionI was playing through the tutorial for my second game/save slot on (I believe) the third room/map (I had picked up missiles, an energy weapon, and a nuke in a chest previously) when the game just suddenly crashed.
TagsNo tags attached.

Activities

Stx11

Oct 2, 2017 12:18 pm

reporter  

output_log.txt (28,359 bytes)
Initialize engine version: 5.5.0p3 (84ad46be53aa)
GfxDevice: creating device client; threaded=1
Direct3D:
    Version:  Direct3D 9.0c [nvldumd.dll 22.21.13.8494]
    Renderer: NVIDIA GeForce GTX 760
    Vendor:   NVIDIA
    VRAM:     2017 MB (via DXGI)
    Caps:     Shader=30 DepthRT=1 NativeDepth=1 NativeShadow=1 DF16=0 INTZ=1 NULL=1 RESZ=0 SlowINTZ=0 ATOC=1 BC4=1 BC5=1
Begin MonoManager ReloadAssembly
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.dll (this message is harmless)
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.West.dll (this message is harmless)
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Assembly-CSharp.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Assembly-CSharp.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.UI.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.UI.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.Networking.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.Networking.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.PlaymodeTestsRunner.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\UnityEngine.PlaymodeTestsRunner.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Lidgren.Network.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Lidgren.Network.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Ionic.Zip.Reduced.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Ionic.Zip.Reduced.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\ExcelLibrary.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\ExcelLibrary.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.CJK.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.CJK.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.MidEast.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.MidEast.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.Other.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.Other.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.Rare.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.Rare.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.West.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\I18N.West.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\System.Drawing.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\System.Drawing.dll into Unity Child Domain
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Steamworks.NET.dll (this message is harmless)
Loading D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\Steamworks.NET.dll into Unity Child Domain
- Completed reload, in  0.080 seconds
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\System.Core.dll (this message is harmless)
Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\System.dll (this message is harmless)
<RI> Initializing input.

<RI> Input initialized.

desktop: 1920x1200 59Hz; virtual: 1920x1200 at 0,0
<RI> Initialized touch support.

UnloadTime: 1.055014 ms
Fallback handler could not load library D:/Games/SteamLibrary/steamapps/common/Starward Rogue/StarwardRogue_Data/Mono/XInputInterface64
Fallback handler could not load library D:/Games/SteamLibrary/steamapps/common/Starward Rogue/StarwardRogue_Data/Mono/.\XInputInterface64
Fallback handler could not load library D:/Games/SteamLibrary/steamapps/common/Starward Rogue/StarwardRogue_Data/Mono/XInputInterface64
Fallback handler could not load library D:/Games/SteamLibrary/steamapps/common/Starward Rogue/StarwardRogue_Data/Mono/libXInputInterface64
Fallback handler could not load library D:/Games/SteamLibrary/steamapps/common/Starward Rogue/StarwardRogue_Data/Mono/.\libXInputInterface64
Fallback handler could not load library D:/Games/SteamLibrary/steamapps/common/Starward Rogue/StarwardRogue_Data/Mono/libXInputInterface64
Steamworks Init
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

Steamworks IsRunning: True
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

graphicsShaderLevel:30
graphicsDeviceID:4487
graphicsDeviceName:NVIDIA GeForce GTX 760
graphicsDeviceVendor:NVIDIA
graphicsDeviceVendorID:4318
graphicsDeviceVersion:Direct3D 9.0c [nvldumd.dll 22.21.13.8494]
graphicsMemorySize:2017
graphicsMultiThreaded:True
operatingSystem:Windows 10  (10.0.0) 64bit
processorCount:4
processorType:Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz
processorFrequency:3400 mHz
supportsImageEffects:True
supportsShadows:True
maxTextureSize:16384
npotSupport:Full
systemMemorySize:24459
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

Platform assembly: D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Managed\System.Xml.dll (this message is harmless)
Steamworks Init
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

Steamworks IsRunning: True
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

GameInit (0 - 10/2/2017 8:58:30 AM)
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

GameInit (1 - 10/2/2017 8:58:33 AM)
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

Version: 1.507
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

sound file count: 875
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

sound loading finished
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

GameInit (2 - 10/2/2017 8:58:33 AM)
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

GameInit (3 - 10/2/2017 8:58:41 AM)
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

Crash!!!
SymInit: Symbol-SearchPath: '.;D:\Games\SteamLibrary\steamapps\common\Starward Rogue;D:\Games\SteamLibrary\steamapps\common\Starward Rogue;C:\Windows;C:\Windows\system32;SRV*C:\websymbols*http://msdl.microsoft.com/download/symbols;', symOptions: 530, UserName: 'astoc'
OS-Version: 10.0.14393 () 0x100-0x1
D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue.exe:StarwardRogue.exe (00050000), size: 19075072 (result: 0), SymType: '-exported-', PDB: 'D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue.exe', fileVersion: 5.5.0.44358
C:\Windows\SYSTEM32\ntdll.dll:ntdll.dll (772F0000), size: 1585152 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\ntdll.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\KERNEL32.DLL:KERNEL32.DLL (74C00000), size: 917504 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\KERNEL32.DLL', fileVersion: 10.0.14393.1198
C:\Windows\System32\KERNELBASE.dll:KERNELBASE.dll (74A50000), size: 1708032 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\KERNELBASE.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\USER32.dll:USER32.dll (75140000), size: 1437696 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\USER32.dll', fileVersion: 10.0.14393.576
C:\Windows\System32\win32u.dll:win32u.dll (74370000), size: 86016 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\win32u.dll', fileVersion: 10.0.14393.51
C:\Windows\System32\GDI32.dll:GDI32.dll (75440000), size: 176128 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\GDI32.dll', fileVersion: 10.0.14393.1378
C:\Windows\SYSTEM32\HID.DLL:HID.DLL (720F0000), size: 40960 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\HID.DLL', fileVersion: 10.0.14393.0
C:\Windows\System32\gdi32full.dll:gdi32full.dll (74F90000), size: 1417216 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\gdi32full.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\msvcrt.dll:msvcrt.dll (74D50000), size: 778240 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\msvcrt.dll', fileVersion: 7.0.14393.0
C:\Windows\System32\ole32.dll:ole32.dll (74960000), size: 966656 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\ole32.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\combase.dll:combase.dll (740E0000), size: 2166784 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\combase.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\ucrtbase.dll:ucrtbase.dll (75B20000), size: 917504 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\ucrtbase.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\RPCRT4.dll:RPCRT4.dll (74390000), size: 790528 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\RPCRT4.dll', fileVersion: 10.0.14393.1378
C:\Windows\SYSTEM32\VERSION.dll:VERSION.dll (73CA0000), size: 32768 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\VERSION.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\SspiCli.dll:SspiCli.dll (73DB0000), size: 122880 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\SspiCli.dll', fileVersion: 10.0.14393.576
C:\Windows\System32\CRYPTBASE.dll:CRYPTBASE.dll (73DA0000), size: 40960 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\CRYPTBASE.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\bcryptPrimitives.dll:bcryptPrimitives.dll (74CE0000), size: 368640 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\bcryptPrimitives.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\sechost.dll:sechost.dll (750F0000), size: 266240 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\sechost.dll', fileVersion: 10.0.14393.1613
C:\Windows\System32\SHLWAPI.dll:SHLWAPI.dll (74050000), size: 286720 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\SHLWAPI.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\ADVAPI32.dll:ADVAPI32.dll (75C00000), size: 487424 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\ADVAPI32.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\SHELL32.dll:SHELL32.dll (75F10000), size: 20807680 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\SHELL32.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\cfgmgr32.dll:cfgmgr32.dll (74300000), size: 221184 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\cfgmgr32.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\windows.storage.dll:windows.storage.dll (755B0000), size: 5693440 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\windows.storage.dll', fileVersion: 10.0.14393.1715
C:\Windows\System32\powrprof.dll:powrprof.dll (73EE0000), size: 282624 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\powrprof.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\kernel.appcore.dll:kernel.appcore.dll (75300000), size: 53248 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\kernel.appcore.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\shcore.dll:shcore.dll (73DD0000), size: 557056 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\shcore.dll', fileVersion: 10.0.14393.1378
C:\Windows\System32\profapi.dll:profapi.dll (74D40000), size: 61440 (result: 0), SymType: '-nosymbols-', PDB: 'C:\Windows\System32\profapi.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\WS2_32.dll:WS2_32.dll (73F30000), size: 405504 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\WS2_32.dll', fileVersion: 10.0.14393.206
C:\Windows\System32\OLEAUT32.dll:OLEAUT32.dll (75C80000), size: 606208 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\OLEAUT32.dll', fileVersion: 10.0.14393.1378
C:\Windows\System32\msvcp_win.dll:msvcp_win.dll (73E60000), size: 503808 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\msvcp_win.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\IMM32.dll:IMM32.dll (740B0000), size: 151552 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\IMM32.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\OPENGL32.dll:OPENGL32.dll (6F280000), size: 917504 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\OPENGL32.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\WINMM.dll:WINMM.dll (71E80000), size: 147456 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\WINMM.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\DNSAPI.dll:DNSAPI.dll (73280000), size: 507904 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\DNSAPI.dll', fileVersion: 10.0.14393.1532
C:\Windows\SYSTEM32\IPHLPAPI.DLL:IPHLPAPI.DLL (73800000), size: 192512 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\IPHLPAPI.DLL', fileVersion: 10.0.14393.953
C:\Windows\SYSTEM32\WINHTTP.dll:WINHTTP.dll (73980000), size: 655360 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\WINHTTP.dll', fileVersion: 10.0.14393.953
C:\Windows\System32\NSI.dll:NSI.dll (75E90000), size: 28672 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\NSI.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\GLU32.dll:GLU32.dll (72050000), size: 151552 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\GLU32.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\DDRAW.dll:DDRAW.dll (6E910000), size: 970752 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\DDRAW.dll', fileVersion: 10.0.14393.953
C:\Windows\SYSTEM32\WINMMBASE.dll:WINMMBASE.dll (71DC0000), size: 143360 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\WINMMBASE.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\DCIMAN32.dll:DCIMAN32.dll (72040000), size: 28672 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\DCIMAN32.dll', fileVersion: 10.0.14393.0
C:\Program Files (x86)\Steam\gameoverlayrenderer.dll:gameoverlayrenderer.dll (518F0000), size: 1249280 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Steam\gameoverlayrenderer.dll', fileVersion: 4.15.80.46
C:\Windows\System32\PSAPI.DLL:PSAPI.DLL (740A0000), size: 24576 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\PSAPI.DLL', fileVersion: 10.0.14393.0
C:\Windows\system32\uxtheme.dll:uxtheme.dll (736F0000), size: 479232 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\uxtheme.dll', fileVersion: 10.0.14393.0
D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Mono\mono.dll:mono.dll (10000000), size: 2297856 (result: 0), SymType: '-exported-', PDB: 'D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Mono\mono.dll', fileVersion: 1.0.0.1
C:\Windows\SYSTEM32\MSWSOCK.dll:MSWSOCK.dll (73350000), size: 319488 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\MSWSOCK.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\MSCTF.dll:MSCTF.dll (75470000), size: 1265664 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\MSCTF.dll', fileVersion: 10.0.14393.953
C:\Windows\system32\dwmapi.dll:dwmapi.dll (719E0000), size: 126976 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\dwmapi.dll', fileVersion: 10.0.14393.206
C:\Windows\SYSTEM32\d3d9.dll:d3d9.dll (693C0000), size: 1437696 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\d3d9.dll', fileVersion: 10.0.14393.447
C:\Windows\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_24ddebfb518b5a55\nvldumd.dll:nvldumd.dll (5B910000), size: 765952 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_24ddebfb518b5a55\nvldumd.dll', fileVersion: 22.21.13.8494
C:\Windows\System32\crypt32.dll:crypt32.dll (74E10000), size: 1560576 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\crypt32.dll', fileVersion: 10.0.14393.1198
C:\Windows\System32\MSASN1.dll:MSASN1.dll (75F00000), size: 57344 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\MSASN1.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\WINTRUST.DLL:WINTRUST.DLL (74000000), size: 278528 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\WINTRUST.DLL', fileVersion: 10.0.14393.953
C:\Windows\System32\imagehlp.dll:imagehlp.dll (74350000), size: 102400 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\imagehlp.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\CRYPTSP.dll:CRYPTSP.dll (737A0000), size: 77824 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\CRYPTSP.dll', fileVersion: 10.0.14393.0
C:\Windows\system32\rsaenh.dll:rsaenh.dll (73770000), size: 192512 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\rsaenh.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\bcrypt.dll:bcrypt.dll (737D0000), size: 110592 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\bcrypt.dll', fileVersion: 10.0.14393.576
C:\Windows\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_24ddebfb518b5a55\nvd3dum.dll:nvd3dum.dll (59140000), size: 14950400 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_24ddebfb518b5a55\nvd3dum.dll', fileVersion: 22.21.13.8494
C:\Windows\system32\nvspcap.dll:nvspcap.dll (645A0000), size: 1495040 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\nvspcap.dll', fileVersion: 3.7.0.81
C:\Windows\System32\SETUPAPI.dll:SETUPAPI.dll (086C0000), size: 4239360 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\SETUPAPI.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\WTSAPI32.dll:WTSAPI32.dll (73A20000), size: 61440 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\WTSAPI32.dll', fileVersion: 10.0.14393.0
C:\Windows\system32\nvapi.dll:nvapi.dll (71170000), size: 3940352 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\nvapi.dll', fileVersion: 22.21.13.8494
C:\Windows\SYSTEM32\dxgi.dll:dxgi.dll (71760000), size: 536576 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\dxgi.dll', fileVersion: 10.0.14393.1378
C:\Windows\SYSTEM32\DEVOBJ.dll:DEVOBJ.dll (71A00000), size: 139264 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\DEVOBJ.dll', fileVersion: 10.0.14393.0
C:\Program Files (x86)\NVIDIA Corporation\3D Vision\nvSCPAPI.dll:nvSCPAPI.dll (50FE0000), size: 827392 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\NVIDIA Corporation\3D Vision\nvSCPAPI.dll', fileVersion: 7.17.13.8494
C:\Windows\System32\clbcatq.dll:clbcatq.dll (75310000), size: 540672 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\clbcatq.dll', fileVersion: 2001.12.10941.16384
C:\Windows\System32\MMDevApi.dll:MMDevApi.dll (72090000), size: 360448 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\MMDevApi.dll', fileVersion: 10.0.14393.1198
C:\Windows\System32\PROPSYS.dll:PROPSYS.dll (70BE0000), size: 1372160 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\PROPSYS.dll', fileVersion: 7.0.14393.0
C:\Windows\SYSTEM32\wdmaud.drv:wdmaud.drv (62960000), size: 233472 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\wdmaud.drv', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\ksuser.dll:ksuser.dll (698F0000), size: 28672 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\ksuser.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\AVRT.dll:AVRT.dll (648A0000), size: 36864 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\AVRT.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\AUDIOSES.DLL:AUDIOSES.DLL (71640000), size: 503808 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\AUDIOSES.DLL', fileVersion: 10.0.14393.953
C:\Windows\SYSTEM32\wintypes.dll:wintypes.dll (70B10000), size: 847872 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\wintypes.dll', fileVersion: 10.0.14393.1715
C:\Windows\SYSTEM32\msacm32.drv:msacm32.drv (62940000), size: 40960 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\msacm32.drv', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\MSACM32.dll:MSACM32.dll (62920000), size: 98304 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\MSACM32.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\midimap.dll:midimap.dll (62910000), size: 32768 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\midimap.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\xinput1_3.dll:xinput1_3.dll (12BA0000), size: 90112 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\xinput1_3.dll', fileVersion: 9.18.944.0
C:\Windows\system32\wbem\wbemprox.dll:wbemprox.dll (62A20000), size: 53248 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\wbem\wbemprox.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\wbemcomn.dll:wbemcomn.dll (629B0000), size: 421888 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\wbemcomn.dll', fileVersion: 10.0.14393.0
C:\Windows\system32\wbem\wbemsvc.dll:wbemsvc.dll (62950000), size: 65536 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\wbem\wbemsvc.dll', fileVersion: 10.0.14393.0
C:\Windows\system32\wbem\fastprox.dll:fastprox.dll (62780000), size: 794624 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\system32\wbem\fastprox.dll', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\dhcpcsvc6.DLL:dhcpcsvc6.DLL (73320000), size: 77824 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\dhcpcsvc6.DLL', fileVersion: 10.0.14393.0
C:\Windows\SYSTEM32\dhcpcsvc.DLL:dhcpcsvc.DLL (73300000), size: 81920 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\dhcpcsvc.DLL', fileVersion: 10.0.14393.0
C:\Program Files (x86)\Bonjour\mdnsNSP.dll:mdnsNSP.dll (730B0000), size: 135168 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Bonjour\mdnsNSP.dll', fileVersion: 3.1.0.1
C:\Windows\System32\rasadhlp.dll:rasadhlp.dll (730A0000), size: 32768 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\rasadhlp.dll', fileVersion: 10.0.14393.0
C:\Windows\System32\fwpuclnt.dll:fwpuclnt.dll (71010000), size: 299008 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\System32\fwpuclnt.dll', fileVersion: 10.0.14393.0
D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Plugins\XInputInterface32.dll:XInputInterface32.dll (58D80000), size: 77824 (result: 0), SymType: '-exported-', PDB: 'D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Plugins\XInputInterface32.dll'
D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Plugins\CSteamworks.dll:CSteamworks.dll (58D50000), size: 135168 (result: 0), SymType: '-exported-', PDB: 'D:\Games\SteamLibrary\steamapps\common\Starward Rogue\StarwardRogue_Data\Plugins\CSteamworks.dll', fileVersion: 1.7.0.0
D:\Games\SteamLibrary\steamapps\common\Starward Rogue\steam_api.dll:steam_api.dll (58D30000), size: 122880 (result: 0), SymType: '-exported-', PDB: 'D:\Games\SteamLibrary\steamapps\common\Starward Rogue\steam_api.dll', fileVersion: 2.19.34.93
C:\Program Files (x86)\Steam\steamclient.dll:steamclient.dll (62A90000), size: 11440128 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Steam\steamclient.dll', fileVersion: 4.15.80.46
C:\Program Files (x86)\Steam\tier0_s.dll:tier0_s.dll (6FBE0000), size: 1142784 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Steam\tier0_s.dll', fileVersion: 4.15.80.46
C:\Program Files (x86)\Steam\vstdlib_s.dll:vstdlib_s.dll (6F360000), size: 360448 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Steam\vstdlib_s.dll', fileVersion: 4.15.80.46
C:\Windows\SYSTEM32\Secur32.dll:Secur32.dll (715B0000), size: 40960 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\Secur32.dll', fileVersion: 10.0.14393.0
C:\Program Files (x86)\Steam\steam.dll:steam.dll (50EA0000), size: 1298432 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Steam\steam.dll'
C:\Program Files (x86)\Steam\Steam2.dll:Steam2.dll (50BD0000), size: 2887680 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Steam\Steam2.dll', fileVersion: 2.0.2117.156
C:\Windows\SYSTEM32\DbgHelp.dll:DbgHelp.dll (71EF0000), size: 1331200 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\DbgHelp.dll', fileVersion: 10.0.14321.1024
C:\Windows\SYSTEM32\dbgcore.DLL:dbgcore.DLL (72760000), size: 151552 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\dbgcore.DLL', fileVersion: 10.0.14321.1024
C:\Program Files (x86)\Steam\CSERHelper.dll:CSERHelper.dll (53140000), size: 135168 (result: 0), SymType: '-exported-', PDB: 'C:\Program Files (x86)\Steam\CSERHelper.dll', fileVersion: 4.50.0.0
C:\Windows\SYSTEM32\ntmarta.dll:ntmarta.dll (735E0000), size: 163840 (result: 0), SymType: '-exported-', PDB: 'C:\Windows\SYSTEM32\ntmarta.dll', fileVersion: 10.0.14393.1378

========== OUTPUTING STACK TRACE ==================

  ERROR: SymGetSymFromAddr64, GetLastError: 'The specified module could not be found.' (Address: 555BFFA8)
  ERROR: SymGetModuleInfo64, GetLastError: 'A dynamic link library (DLL) initialization routine failed.' (Address: 555BFFA8)
0x555BFFA8 ((<unknown>)) 
0x00C41A0B (StarwardRogue) physx::shdfnd::disableFPExceptions
0x00C41ABF (StarwardRogue) physx::shdfnd::disableFPExceptions
0x00C40723 (StarwardRogue) physx::shdfnd::disableFPExceptions
0x00C3EDF0 (StarwardRogue) physx::shdfnd::disableFPExceptions
0x00E6C861 (StarwardRogue) physx::shdfnd::disableFPExceptions
0x00E6C8EB (StarwardRogue) physx::shdfnd::disableFPExceptions
0x74C162C4 (KERNEL32) BaseThreadInitThunk
0x77350F79 (ntdll) RtlSubscribeWnfStateChangeNotification
0x77350F44 (ntdll) RtlSubscribeWnfStateChangeNotification

========== END OF STACKTRACE ===========

**** Crash! ****
output_log.txt (28,359 bytes)
error.log (41,425 bytes)
crash.dmp (167,002 bytes)

x4000Bughunter

Oct 4, 2017 12:47 pm

administrator   ~0046486

Bah, this is quite frustrating -- the error logs don't really tell us anything beyond "the game crashed a while after it loaded," unfortunately. It's pretty hard to crash the unity engine in that way, but this particular game of ours seems to do so from time to time. I'm really not sure what the cause is, but we may wind up upgrading some of our stuff on it to see if it's some sort of transient unity bug or a third party shader we're using for handling brightness and contrast or something. Not that those would have kicked in during the tutorial in your case.

Stx11

Oct 4, 2017 3:38 pm

reporter   ~0046487

It's nothing I've been able to reproduce either - I've since gone on to play several game sessions including two 5-floor clears.

I have a background in software development so I fully understand how frustrating these kinds of bugs can be. I just figured if I don't report the problem there's no way you can learn about it, and if you never know there is no chance at all you can fix it!

I'm a huge fan of Arcen and own and have played most of your games. I love your dedication to making unique and really fun games and am excitedly looking forward to AI War 2 (Kickstarter backer!) and AuGMENTED.

Keep up the great work (and may all your bug hunts be successful!)

x4000Bughunter

Oct 4, 2017 4:03 pm

administrator   ~0046488

Thank you very much!

x4000Bughunter

Feb 5, 2018 10:03 am

administrator   ~0046863

Okay, the word I have back from unity on this at the moment is as follows:

----------------

- I have checked the video of the crash in one of your cases, right before the crash, the graphics seems to glitch out.
- A screenshot of R6025 pure virtual function call error makes me think the crash is caused by graphics device drivers.
- All the users who had crashes are using older graphics card driver versions.

For now, could you inform your users who have these crashes to update their graphics card drivers?

If these crashes happen again with new drivers, contact me again and send me the new log files and crash dump files.

x4000Bughunter

Feb 7, 2018 4:23 pm

administrator   ~0046907

* FINALLY fixed the longstanding super-infrequent crashing that was happening for some-but-not-all players. This has been a thorn in our side for two years now, but we finally got some excellent help from Unity's engine developers themselves, and it turns out that we were triggering a crash bug somewhere deep in the engine via calls to WWW.audio.GetAudioClip().
** That's now on their list to investigate and fix, but in our case now that we know what the problem actually is, we've switched approaches to no longer use that method at all, instead baking the music and voice tracks into the game itself.
** We do still have to use this method for the SoundsFromMods optional folder, but that's just for modders who want to add sounds, and it should limit any crashes to on-startup only, not during gameplay. And in those instances it would only be if you're playing with some mods on, and even then only rarely if ever. For everyone currently playing the game that we are aware of, you won't have a crash from this piece. If you have a crash, that would be something else instead.
** Incidentally, the reason that the game was crashing after killing enemies or during room switches is... drumroll... because those are times when music tracks change. We were looking for so many other pieces of code that might be a problem during that time that we never thought to look at music. This is the same music code we've used since 2010 in every other title of ours prior to this one, so whatever the problem is with the underlying engine is must have been introduced in Unity 5 or thereabouts.

x4000Bughunter

Feb 7, 2018 4:24 pm

administrator   ~0046908

This is also why it would happen sometimes specifically during tutorials.

Issue History

Date Modified Username Field Change
Oct 2, 2017 12:18 pm Stx11 New Issue
Oct 2, 2017 12:18 pm Stx11 File Added: crash.dmp
Oct 2, 2017 12:18 pm Stx11 File Added: error.log
Oct 2, 2017 12:18 pm Stx11 File Added: output_log.txt
Oct 4, 2017 12:47 pm x4000Bughunter Note Added: 0046486
Oct 4, 2017 3:38 pm Stx11 Note Added: 0046487
Oct 4, 2017 4:03 pm x4000Bughunter Note Added: 0046488
Feb 5, 2018 10:03 am x4000Bughunter Note Added: 0046863
Feb 7, 2018 4:23 pm x4000Bughunter Assigned To => x4000Bughunter
Feb 7, 2018 4:23 pm x4000Bughunter Status new => resolved
Feb 7, 2018 4:23 pm x4000Bughunter Resolution open => fixed
Feb 7, 2018 4:23 pm x4000Bughunter Fixed in Version => 2.001 (Die A Fiery Death, Audio Crash)
Feb 7, 2018 4:23 pm x4000Bughunter Note Added: 0046907
Feb 7, 2018 4:24 pm x4000Bughunter Note Added: 0046908